from defence360agent.contracts import sentry
from defence360agent.contracts.config import Core as Config
from defence360agent.contracts.license import LicenseCLN
from defence360agent.subsys.panels import hosting_panel
from defence360agent.utils import stub_unexpected_error, is_root_user, \
    get_external_ip


def fill() -> None:
    @stub_unexpected_error
    def _get_hosting_panel():
        return hosting_panel.HostingPanel().NAME

    sentry.set_version(Config.VERSION)
    sentry.set_product_name(LicenseCLN.get_product_name())
    if not is_root_user():
        return
    sentry.set_server_id(LicenseCLN.get_server_id())

    sentry.set_ip(stub_unexpected_error(get_external_ip)())
    sentry.set_hosting_panel(_get_hosting_panel())
