#!/opt/alt/python38/bin/python3
import logging

from defence360agent import defence360, rpc_handlers
from defence360agent.application.settings import configure
from defence360agent.contracts.config import Core
from defence360agent.internals.cln import subscribe_to_license_changes
from defence360agent.malwarelib.utils import reset_malware_schedule
from defence360agent.subsys import svcctl
from defence360agent.utils import make_coro, run_coro

logger = logging.getLogger(__name__)


def is_agent_active():
    adaptor = svcctl.adaptor(Core.SVC_NAME)
    run_coro(adaptor.activate_socket_service())


def run():
    configure()
    subscribe_to_license_changes(make_coro(reset_malware_schedule))
    is_agent_active()
    defence360.entrypoint(rpc_handlers.init)


if __name__ == "__main__":
    run()
