import logging

import peewee as pw

logger = logging.getLogger(__name__)

DATA = [
    (
        'Google (https://support.google.com/webmasters/answer/80553?hl=ru)',  # noqa
        ['.google.com', '.googlebot.com'],
    ),
    (
        'Yandex (https://yandex.ru/support/webmaster/robot-workings/check-yandex-robots.xml?lang=ru)',  # noqa
        ['.yandex.ru', '.yandex.com', '.yandex.net']
    ),
    (
        'Bing (https://www.bing.com/webmaster/help/how-to-verify-bingbot-3905dc26)',  # noqa
        ['.search.msn.com']
    ),
    (
        'Baidu (http://help.baidu.com/question?prod_en=master&class=Baiduspider)',  # noqa
        ['.baidu.com', '.baidu.jp']
    )
]


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    wc = migrator.orm['whitelisted_crawlers']
    wcd = migrator.orm['whitelisted_crawler_domains']

    with database.atomic():
        for descr, domains in DATA:
            inserted_id = wc.insert(description=descr).execute()
            for d in domains:
                wcd.insert(crawler=inserted_id, domain=d).execute()


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    pass
