from defence360agent.feature_management.rpc.endpoints.native import (
    FeatureManagementNativeEndpoints,
)
from defence360agent.feature_management.rpc.endpoints.show import (
    FeatureManagementShowAnyEndpoints,
    FeatureManagementShowRootEndpoints,
)
from defence360agent.feature_management.rpc.endpoints.update import (
    FeatureManagementUpdateEndpoints,
)
from defence360agent.malwarelib.rpc.endpoints.base import (
    IgnoreEndpoints,
    MalwareRebuildPatterns,
)
from defence360agent.malwarelib.rpc.endpoints.cleanup import (
    CleanupEndpoints,
    CleanupRootEndpoints,
)
from defence360agent.malwarelib.rpc.endpoints.ondemand import (
    OnDemandEndpoints,
    OnDemandUserEndpoints,
)
from defence360agent.simple_rpc.endpoints import ConfigEndpoints
from defence360agent.simple_rpc.endpoints import Endpoints as ManyEndpoints
from defence360agent.simple_rpc.endpoints import NewsEndpoints
from defence360agent.simple_rpc.endpoints import (
    LoginEndpoints,
    RootLoginEndpoints,
)
from defence360agent.simple_rpc.hooks import HooksEndpoints
from defence360agent.simple_rpc.advisor import AdvisorEndpoints
from defence360agent.simple_rpc.conflicts import ConflictsEndpoints
from defence360agent.simple_rpc.hosting_panel import HostingPanelEndpoints
from defence360agent.simple_rpc.reputation_management import (
    ReputationManagementEndpoints,
)
from defence360agent.malwarelib.rpc.endpoints.base import (
    MaliciousEndpoints,
    SubmitEndpoints,
)


def get_common_handlers():
    return [
        CleanupEndpoints,
        CleanupRootEndpoints,
        ConfigEndpoints,
        FeatureManagementNativeEndpoints,
        FeatureManagementShowAnyEndpoints,
        FeatureManagementShowRootEndpoints,
        FeatureManagementUpdateEndpoints,
        HooksEndpoints,
        HostingPanelEndpoints,
        IgnoreEndpoints,
        ManyEndpoints,
        MalwareRebuildPatterns,
        NewsEndpoints,
        LoginEndpoints,
        RootLoginEndpoints,
        OnDemandEndpoints,
        OnDemandUserEndpoints,
        ReputationManagementEndpoints,
        AdvisorEndpoints,
    ]


def get_inheritable_handlers():
    # Endpoints that exist in both ImunifyAV and Imunify360, but are
    #   overriden in Imunify360
    return [
        SubmitEndpoints,
        MaliciousEndpoints,
        ConflictsEndpoints,
    ]


def init_common_handlers() -> None:
    for cls in get_common_handlers():
        cls.register_rpc_handlers()


def init() -> None:
    init_common_handlers()
    for cls in get_inheritable_handlers():
        cls.register_rpc_handlers()
