from .cpanel import cPanel
from .directadmin import DirectAdmin
from .no_cp import NoCP
from .plesk import Plesk
from .generic import GenericPanel
from .base import AbstractPanel


def HostingPanel() -> AbstractPanel:
    for impl in [GenericPanel, cPanel, Plesk, DirectAdmin]:
        if impl.is_installed():
            return impl()
    else:
        return NoCP()
