import defence360agent.files

# static file types
EULA = defence360agent.files.EULA
GEO = "geo"
IP_RECORD = "ip-record"
MODSEC = "modsec-rules"
OSSEC = "ossec"
SIGS = defence360agent.files.SIGS
REALTIME_AV_CONF = defence360agent.files.REALTIME_AV_CONF  # NOSONAR
WHITELISTS = "static-whitelist"
PHP_IMMUNITY = "php-immunity"
PROACTIVE = "proactive"

Index = defence360agent.files.Index
update = defence360agent.files.update
update_and_log_error = defence360agent.files.update_and_log_error


def configure() -> None:
    defence360agent.files.configure()
    add_type = defence360agent.files.Index.add_type
    add_type(GEO, "geo/v1", 0o770, 0o660, all_zip=True)
    add_type(IP_RECORD, "ip-record/v1", 0o770, 0o660, all_zip=True)
    add_type(MODSEC, "modsec/v2", 0o770, 0o660, all_zip=True)
    add_type(OSSEC, "ossec/v1", 0o770, 0o660, all_zip=True)
    add_type(WHITELISTS, "whitelist/v2", 0o770, 0o660, all_zip=True)
    add_type(
        PHP_IMMUNITY,
        "php-immunity/v1",
        0o700,
        0o600,
        all_zip=False,
        essential=False,
    )
    add_type(
        PROACTIVE,
        "proactive/rules",
        0o770,
        0o600,
        all_zip=False,
        essential=False,
    )
