"""Handle CONFIG_SET server message."""
import logging

from defence360agent.contracts.plugins import (
    MessageSink,
    MessageSource,
    expect,
)
from defence360agent.utils.config import update_config
from im360.contracts import messages

logger = logging.getLogger(__name__)


class ConfigSet(MessageSink, MessageSource):
    async def create_sink(self, loop):
        pass

    async def create_source(self, loop, sink):
        self._sink = sink

    @expect(messages.ConfigSet)
    async def config_set(self, message):
        new_data = message["data"]
        user = message.get("user")
        await update_config(self._sink, new_data, user)
        logger.info("Updated config with %s", new_data)
