from logging import getLogger

from defence360agent.contracts.config import ConfigFile
from defence360agent.contracts.config import Malware as Config
from defence360agent.contracts.plugins import MessageSource
from defence360agent.utils import recurring_check
from im360.malwarelib.subsys import cxs

logger = getLogger(__name__)


class InotifyScan(MessageSource):
    def __init__(self):
        self._enable_task = None

    async def create_source(self, loop, sink):
        self._loop = loop
        self._sink = sink

        self._enable_task = self._loop.create_task(self._check_enable())

    async def shutdown(self):
        if self._enable_task is not None:
            self._enable_task.cancel()
            await self._enable_task

    @recurring_check(Config.CONFIG_CHECK_PERIOD)
    async def _check_enable(self):
        if cxs.cxswatch_running() and Config.INOTIFY_ENABLED:
            ConfigFile().set("MALWARE_SCANNING", "enable_scan_inotify", False)
