from defence360agent.contracts.messages import (
    MalwareCleanComplete,
    MalwareRestoreComplete,
    MalwareScan,
    MalwareScanComplete,
    MalwareScanTask,
    Noop,
)
from defence360agent.plugins.generic_sensor import (
    GenericSensor as GenericSensorBase,
)
from defence360agent.plugins.generic_sensor import Protocol
from im360.contracts.messages import (
    CaptchaEvent,
    ClientUnblock,
    SensorAlert,
    SensorIncident,
    SynclistResponse,
)


class _Protocol(Protocol):
    METHOD2MSGTYPE = {
        "ALERT": SensorAlert,
        "CAPTCHA": CaptchaEvent,
        "INCIDENT": SensorIncident,
        "UNBLOCK": ClientUnblock,
        "NOOP": Noop,
        "MALWARE_SCAN": MalwareScan,
        "MALWARE_SCAN_TASK": MalwareScanTask,
        "MALWARE_SCAN_COMPLETE": MalwareScanComplete,
        "MALWARE_CLEAN_COMPLETE": MalwareCleanComplete,
        "MALWARE_RESTORE_COMPLETE": MalwareRestoreComplete,
        "SYNCLIST": SynclistResponse,
    }


class GenericSensor(GenericSensorBase):
    PROTOCOL_CLASS = _Protocol
