import logging

from defence360agent.contracts.messages import MalwareSendFiles
from defence360agent.contracts.plugins import MessageSink, expect
from defence360agent.malwarelib.utils import malware_response

logger = logging.getLogger(__name__)


class ServerPullFileSender(MessageSink):
    loop = None

    async def create_sink(self, loop):
        self.loop = loop

    @expect(MalwareSendFiles)
    async def upload_files(self, message):
        reason = message['reason']
        for file in message['files']:
            try:
                await malware_response.upload_file(file, upload_reason=reason)
            except Exception as e:
                logger.warning(str(e))
