from defence360agent.rpc_handlers import init_common_handlers
from im360.malwarelib.rpc.endpoints.pure_ftpd import PureFTPDEndpoints
from im360.simple_rpc.backup import BackupEndpoints
from im360.simple_rpc.configuration_management import ModSecEndpoints
from im360.simple_rpc.conflicts import ConflictsEndpoints
from im360.simple_rpc.countries import CountriesEndpoints
from im360.simple_rpc.csf_imports import CSFImportsEndpoints
from im360.simple_rpc.disabled_rules import DisabledRulesEndpoints
from im360.simple_rpc.feature import FeaturesEndpoints
from im360.simple_rpc.health import HealthEndpoints
from im360.simple_rpc.hosting_panel import HostingPanelEndpoints
from im360.simple_rpc.incidents import IncidentsEndpoints
from im360.simple_rpc.kcarectl import KernelCareEndpoints
from im360.simple_rpc.lists import ListsEndpoints
from im360.simple_rpc.proactive import ProactiveEndpoints
from im360.simple_rpc.smtp_blocking import SMTPEndpoints
from im360.simple_rpc.malware import MalwareEndpoints
from im360.simple_rpc.remote_proxy import RemoteProxyEndpoints
from im360.simple_rpc.whitelisted_crawlers import WhitelistedCrawlersEndpoints
from im360.simple_rpc.whitelisted_domains import WhitelistedDomainsEndpoints
from im360.simple_rpc.custom_lists import CustomListsEndpoints
from im360.simple_rpc.uninstall_cleanup import UninstallCleanupEndpoints
from im360.simple_rpc.whitelist_rbl import RblWhitelistEndpoints
from im360.simple_rpc.plesk_stats import PleskStatsEndpoints
from im360.malwarelib.rpc.endpoints.submit import SubmitEndpoints
from im360.malwarelib.rpc.endpoints.malware import MaliciousEndpoints


def init() -> None:
    init_common_handlers()
    classes = [
        BackupEndpoints,
        CSFImportsEndpoints,
        ConflictsEndpoints,
        CountriesEndpoints,
        CustomListsEndpoints,
        DisabledRulesEndpoints,
        FeaturesEndpoints,
        HealthEndpoints,
        HostingPanelEndpoints,
        IncidentsEndpoints,
        KernelCareEndpoints,
        ListsEndpoints,
        MaliciousEndpoints,
        MalwareEndpoints,
        ModSecEndpoints,
        PleskStatsEndpoints,
        ProactiveEndpoints,
        PureFTPDEndpoints,
        RblWhitelistEndpoints,
        RemoteProxyEndpoints,
        SMTPEndpoints,
        SubmitEndpoints,
        UninstallCleanupEndpoints,
        WhitelistedCrawlersEndpoints,
        WhitelistedDomainsEndpoints,
    ]
    for cls in classes:
        cls.register_rpc_handlers()
