import logging
import shutil

from defence360agent.files import FILES_DIR


logger = logging.getLogger(__name__)


def _move(src, dst):
    try:
        shutil.move(src, dst)
    except FileNotFoundError:
        pass
    except Exception as err:
        logger.error('Failed to move HackerTrap list to the new location: %r',
                     err)


def migrate(migrator, database, fake=False, **kwargs):
    if fake:
        return

    try:
        from im360.contracts.config import HackerTrap
        from im360.malwarelib.subsys.malware import HackerTrapHitsSaver
    except ImportError:
        return

    HackerTrapHitsSaver.BASE_DIR = FILES_DIR

    src1 = HackerTrapHitsSaver._filepath()
    src2 = HackerTrapHitsSaver._clean_filepath()
    for src in src1, src2:
        _move(str(src), HackerTrap.DIR)


def rollback(migrator, database, fake=False, **kwargs):
    pass
