from defence360agent.malwarelib.rpc.endpoints.base import (
    MaliciousEndpoints as MaliciousEndpointsAV,
)

from defence360agent.rpc_tools.lookup import bind
from defence360agent.feature_management.constants import AV, FULL, AV_REPORT
from defence360agent.feature_management.lookup import feature
from im360.malwarelib.subsys.malware import HackerTrapHitsSaver
from im360.simple_rpc.malware import MalwareEndpoints


class MaliciousEndpoints(MaliciousEndpointsAV):
    """ Ignore malicious files.

    Additianally to what `MaliciousEndpointsAV.malicious_move_to_ignore()`
    does, this endpoint also removes sumbitted filenames from
    malware_standalone_b64.list.`
    """

    @feature(AV, [FULL, AV_REPORT])
    @bind('malware', 'malicious', 'move-to-ignore')
    async def malicious_move_to_ignore(self, ids, user=None):
        ignored = await self._malicious_move_to_ignore(ids, user)
        await HackerTrapHitsSaver.update_sa_hits(
            files_to_add=[], files_to_remove=ignored)

        return len(ignored)
