from pathlib import Path

from defence360agent.malwarelib.rpc.endpoints.base import (
    SubmitEndpoints as SubmitEndpointsAV,
)
from defence360agent.rpc_tools.lookup import bind
from im360.malwarelib.subsys.malware import HackerTrapHitsSaver


class SubmitEndpoints(SubmitEndpointsAV):
    @bind("submit", "false-positive")
    async def submit_fp(self, filename, reason, scanner=None):
        await super().submit_fp(filename, reason, scanner=scanner)
        await HackerTrapHitsSaver.update_sa_hits(
            files_to_add=[], files_to_remove=[Path(filename)]
        )
