import logging

from defence360agent.subsys import svcctl
from defence360agent.utils import is_centos6_or_cloudlinux6  # NOSONAR

logger = logging.getLogger(__name__)

AIBOLIT_SVCNAME = "aibolit-resident"
MINIDAEMON_SVCNAME = "minidaemon"


async def restart_on_sigs_or_config_update(_, is_updated):
    if is_updated:
        logger.info("ai-bolit service will be restarted")
        if is_centos6_or_cloudlinux6():
            aibolit_service = svcctl.adaptor(MINIDAEMON_SVCNAME)
        else:
            aibolit_service = svcctl.adaptor(AIBOLIT_SVCNAME)
        await aibolit_service.restart()
        logger.debug("ai-bolit service restarted")
